libmpdclient 2.9

Enumerations | Functions
tag.h File Reference

Go to the source code of this file.

## Enumerations
enum | mpd_tag_type { MPD_TAG_UNKNOWN = -1 , MPD_TAG_ARTIST , MPD_TAG_ALBUM , MPD_TAG_ALBUM_ARTIST , MPD_TAG_TITLE , MPD_TAG_TRACK , MPD_TAG_NAME , MPD_TAG_GENRE , MPD_TAG_DATE , MPD_TAG_COMPOSER , MPD_TAG_PERFORMER , MPD_TAG_COMMENT , MPD_TAG_DISC , MPD_TAG_MUSICBRAINZ_ARTISTID , MPD_TAG_MUSICBRAINZ_ALBUMID , MPD_TAG_MUSICBRAINZ_ALBUMARTISTID , MPD_TAG_MUSICBRAINZ_TRACKID , MPD_TAG_COUNT }

## Functions
const char * | mpd_tag_name (enum mpd_tag_type type)
enum mpd_tag_type | mpd_tag_name_parse (const char *name)
enum mpd_tag_type | mpd_tag_name_iparse (const char *name)

## Enumeration Type Documentation

## ◆ mpd_tag_type

enum mpd_tag_type

Enumerator
MPD_TAG_UNKNOWN | Special value returned by mpd_tag_name_parse() when an unknown name was passed.
MPD_TAG_ARTIST |
MPD_TAG_ALBUM |
MPD_TAG_ALBUM_ARTIST |
MPD_TAG_TITLE |
MPD_TAG_TRACK |
MPD_TAG_NAME |
MPD_TAG_GENRE |
MPD_TAG_DATE |
MPD_TAG_COMPOSER |
MPD_TAG_PERFORMER |
MPD_TAG_COMMENT |
MPD_TAG_DISC |
MPD_TAG_MUSICBRAINZ_ARTISTID |
MPD_TAG_MUSICBRAINZ_ALBUMID |
MPD_TAG_MUSICBRAINZ_ALBUMARTISTID |
MPD_TAG_MUSICBRAINZ_TRACKID |
MPD_TAG_COUNT |

Definition at line 36 of file tag.h.

## Function Documentation

## ◆ mpd_tag_name()

const char * mpd_tag_name | ( | enum mpd_tag_type | type | ) |

Looks up the name of the specified tag.

Returns
  the name, or NULL if the tag type is not valid

## ◆ mpd_tag_name_parse()

enum mpd_tag_type mpd_tag_name_parse | ( | const char * | name | ) |

Parses a tag name, and returns its mpd_tag_type value.

Returns
  a mpd_tag_type value, or MPD_TAG_UNKNOWN if the name was not recognized

## ◆ mpd_tag_name_iparse()

enum mpd_tag_type mpd_tag_name_iparse | ( | const char * | name | ) |

Same as mpd_tag_name_parse(), but ignores case.

Returns
  a mpd_tag_type value, or MPD_TAG_UNKNOWN if the name was not recognized